# AWS FSx Terraform module

Terraform module which creates AWS FSx resources.

[![SWUbanner](https://raw.githubusercontent.com/vshymanskyy/StandWithUkraine/main/banner2-direct.svg)](https://github.com/vshymanskyy/StandWithUkraine/blob/main/docs/README.md)

## Usage

See the respective sub-module `README.md` for details on how how to use:

- [FSx for Lustre](https://github.com/terraform-aws-modules/terraform-aws-fsx/tree/master/modules/lustre)
- [FSx for NetApp ONTAP](https://github.com/terraform-aws-modules/terraform-aws-fsx/tree/master/modules/ontap)
- [FSx for OpenZFS](https://github.com/terraform-aws-modules/terraform-aws-fsx/tree/master/modules/openzfs)
- [FSx for Windows File Server](https://github.com/terraform-aws-modules/terraform-aws-fsx/tree/master/modules/windows)

## Examples

Examples codified under the [`examples`](https://github.com/terraform-aws-modules/terraform-aws-fsx/tree/master/examples) are intended to give users references for how to use the module(s) as well as testing/validating changes to the source code of the module. If contributing to the project, please be sure to make any appropriate updates to the relevant examples to allow maintainers to test your changes and to keep the examples up to date for users. Thank you!

- [FSx for Lustre](https://github.com/terraform-aws-modules/terraform-aws-fsx/tree/master/examples/lustre)
- [FSx for NetApp ONTAP](https://github.com/terraform-aws-modules/terraform-aws-fsx/tree/master/examples/ontap)
- [FSx for OpenZFS](https://github.com/terraform-aws-modules/terraform-aws-fsx/tree/master/examples/openzfs)
- [FSx for Windows File Server](https://github.com/terraform-aws-modules/terraform-aws-fsx/tree/master/examples/windows)

<!-- BEGINNING OF PRE-COMMIT-TERRAFORM DOCS HOOK -->
<!-- END OF PRE-COMMIT-TERRAFORM DOCS HOOK -->

## License

Apache-2.0 Licensed. See [LICENSE](https://github.com/terraform-aws-modules/terraform-aws-fsx/blob/master/LICENSE).

